using System;

using BS.Shared;

namespace BeWo.Data.Entities
{
    public class SupportPin : BeWoEntityBase
    {
        public static string PropertyName_Pin = "Pin";
        public static string PropertyName_IsUsed = "IsUsed";
        public static string PropertyName_CreationDate = "CreationTimeStamp";
        public static string PropertyName_ExpirationDate = "ExpirationDate";
        public static string PropertyName_UsingDate = "UsingDate";

        private string _Pin;
        private bool? _IsUsed;
        private DateTime? _CreationDate;
        private DateTime? _ExpirationDate;
        private DateTime? _UsingDate;

        public SupportPin()
        {
            _Tid = TableID.SupportPin;
        }

        public virtual string Pin
        {
            get { return _Pin; }

            set
            {
                if (AreDifferent(_Pin, value))
                    _Pin = value;
            }
        }

        public virtual bool? IsUsed
        {
            get { return _IsUsed; }

            set
            {
                if (AreDifferent(_IsUsed, value))
                    _IsUsed = value;
            }
        }

        public virtual DateTime? CreationDate
        {
            get { return _CreationDate; }

            set
            {
                if (AreDifferent(_CreationDate, value))
                    _CreationDate = value;
            }
        }

        public virtual DateTime? ExpirationDate
        {
            get { return _ExpirationDate; }

            set
            {
                if (AreDifferent(_ExpirationDate, value))
                    _ExpirationDate = value;
            }
        }

        public virtual DateTime? UsingDate
        {
            get { return _UsingDate; }
            set
            {
                if (AreDifferent(_UsingDate, value))
                    _UsingDate = value;
            }
        }
    }
}
